Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.rdf.model
Interface RDFReaderF

All Known Subinterfaces:
  InfModel, Model, OntModel

All Known Implementing Classes:
  com.hp.hpl.jena.rdf.model.impl.ModelCom, ModelRDB, MonitorModel

    public interface RDFReaderF

An RDFReader factory inferface.

This factory interface is slightly unusual, in that, as well as creating and returning RDFReader's, it also provides methods for creating a reader, invoking a read method on it and then shuting it down.

The factory will create an appropriate reader for the particular serialization language being read. Predefined languages include:

- RDF/XML - default
- RDF/XML-ABBREV
- N-TRIPLE
- N3

System wide defaults for classes to use as readers for these languages are defined. These defaults may be overwridden by setting a system property with a name of the form com.hp.hpl.jena.readers. to the class name.

Version:
  $Version$ $Date: 2008/01/02 12:05:48 $
Author:
  bwm

Method Summary
`RDFReader` | `getReader()` return an RDFReader instance for the default serialization language.
`RDFReader` | `getReader(java.lang.String lang)` return an RDFReader instance for the specified serialization language.
`java.lang.String` | `setReaderClassName(java.lang.String lang, java.lang.String className)` set the class name for the RDFReader for a langauge

Method Detail

### getReader

    RDFReader getReader()

  return an RDFReader instance for the default serialization language.

  Returns:
    an RDFReader instance for the default serialization language.

### getReader

    RDFReader getReader(java.lang.String lang)

  return an RDFReader instance for the specified serialization language.

  Parameters:
    `lang` - the serialization langauge - `null` selects the default
  Returns:
    the RDFWriter instance

### setReaderClassName

    java.lang.String setReaderClassName(java.lang.String lang,
                                        java.lang.String className)

  set the class name for the RDFReader for a langauge

  Parameters:
    `lang` - the language for which this class should be used
    `className` - the class name for readers for this language
  Returns:
    the old class name for this language

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008 Hewlett-Packard Development Company, LP